Jump to content

Search the Community

Showing results for tags 'layers'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 82 results

  1. avoc42

    block requirements

    Hi all, I need to accomplish the following: Place a block labelled AB-101 on layout 1 the same block labelled A-101 on layout 2 and the same block labelled B-101 on layout 3. Any suggestions for doing this more efficiently than creating three separate layers, and three separate copies of the block for each layout? Thanks much, Donna
  2. kiticel

    Selecting a layer in VP

    Hi, I am having trouble all of a sudden when I am in paperspace and am working in a viewport. When I select a line that belongs on a layer, it does not tell me which layer it is on. It just stays on the current layer. Any line i choose, the layer info just stays on whatever is set to current. This makes it impossible to freeze layers in that current viewport. Any help on this would be greatly appreciated!!!
  3. would anyone know why a layer wouldn't be showing up? i've got the layer both switched on on my view port and on the model space, it's also not frozen. it's showing on the model space but not on the paper space? help would be appreciated!
  4. I have been trying different way for chaging to layer (by Layer or by block) but the color and linetype were changed. on the image, the Leg on the left was on the wrong layer so i made layer called "Legs" i selected the legs and when the quick properties window pop up where it said layer i clicked drop menu and changed to layer called Legs, all colors changed to white and all linetype became continuos line (RIGHT IMAGE). How can i change to the proper layer but keep everything to remain the same as the leg shown on the left? Thanks
  5. dezza1991

    Crop an AutoCAD Drawing

    Hello all, First time poster here. I've got a large AutoCAD drawing compiled with about 4 different layers. Now I want just a section of it, and nothing else. I was wondering if it's possible to crop what I want (inside the white box area) and delete the rest. If so, which tool do I use? I'm using AutoCAD 2013 Please refer to the image attached. Thanks!
  6. Can anyone tell me how to do this? I've tried using the commands Purge, Filedia, but nothing works. Any thoughts?
  7. No matter which layer is current, everything I draw is the same color. Does anyone have a simple fix? I am using AutoCAD 2014.
  8. Hey Guys, I have the following problem. I'm working on HVAC project and after I have almost finished the whole project the managers company sent me new template layers file ,that I should follow. So now my "17_COOL_MEPA_SUP" layer and all of his futures (including color,line thicknes and so on) need to be changed to "10_C_HVAC_S" with other futures (different color,different thicknes). I know that I can rename group of layers by using script file ,but can I totally replace group of layers with another group? P.S. I have 130 drawings ,so the manual method is not an option. HEEEEELLLLPPPPP!!!!
  9. I have this routine (unknown to the author), which lets you export to a text file the list of existing layers in a drawing. It works fine, but I wanted a version that could include one column for the description of each layer. Thank you in advance for your possible help. (defun c:LL2T ( / oecho clrlst dwgnm fn fh lyr lyrlst) (defun chkbit (bit_val num) (not (zerop (logand bit_val num))) ) (setq oecho (getvar "cmdecho") clrlst (list (cons 1 "RED") (cons 2 "YELLOW") (cons 3 "GREEN") (cons 4 "CYAN") (cons 5 "BLUE") (cons 6 "MAGENTA") (cons 7 "WHITE") ) dwgnm (getvar "dwgname") ) (setvar "cmdecho" 0) (setq fn (getfiled " File name: " (strcat dwgnm ".LS") "LS" (+ 1 2)) ) (while (setq lyr (tblnext "layer" (not lyr))) (setq lyrlst (cons (cdr (assoc 2 lyr)) lyrlst)) ) (setq lyrlst (acad_strlsort lyrlst)) (princ "\nWriting layer data to file...") (setq fh (open fn "w")) (princ (strcat dwgnm ".DWG\n") fh) (foreach x lyrlst (setq lyr (tblsearch "layer" x) lyrname (cdr (assoc 2 lyr)) lyrclr (cdr (assoc 62 lyr)) lyrlt (cdr (assoc 6 lyr)) frzn? (chkbit 1 (cdr (assoc 70 lyr))) lokd? (chkbit 4 (cdr (assoc 70 lyr))) ) (if (minusp lyrclr) (setq on? "OFF" lyrclr (abs lyrclr) ) (setq on? "ON") ) (if (assoc lyrclr clrlst) (setq lyrclr (cdr (assoc lyrclr clrlst))) ) (if frzn? (setq frzn? "FROZEN") (setq frzn? "THAWED") ) (if lokd? (setq lokd? "LOCKED") (setq lokd? "UNLOCKED") ) (princ lyrname fh) ;;(princ "," fh) ;;(princ lyrclr fh) ;;(princ "," fh) ;;(princ lyrlt fh) ;;(princ "," fh) ;;(princ on? fh) ;;(princ "," fh) ;;(princ frzn? fh) ;;(princ "," fh) ;;(princ lokd? fh) (princ "\n" fh) ) (princ "done.") (close fh) (setvar "cmdecho" oecho) (princ) )
  10. Hey everyone, I am currently looking for a tool like the 'WIPEOUT' tool. the main difference being that i would like to wipe just 1 1or 2 layers, so that the other layers still show. Does anyone know the options for this one? tnx in advance,
  11. I have imported a dxf file from our Trimble handheld unit. The dxf has layers built into it that come straight from the trimble software. (ei, FENCE, TANK, WELL HEAD, FIELDLINE) I have custom built layers and linetypes for my .dwt file in Cad so I dont need the layers that followed the dxf file. For some reason I am unable to delete those layers, I get a warning box saying: The following layers cannot be deleted: . layers 0 and Defpoints . The current Layer. . Layers containing objects. . Xref-dependant layers I am not on the current layer, I am pretty positive there is no objects on the layers I want to delete ( i have deleted my gps points and blocks that were imported) I am not using any xref dwg's Any ideas?
  12. Hi everyone! I just want to start by thanking you all, as most of the times I have an issue this forum is a great resource in which I find many answers without having to create a thread Since we use Acad 2014, some of my coworkers have started using viewbase style views. Since we have standards regarding lineweights, I've tried to find in vain a way to set the lineweight default values for the viewbase layers (MD_Annotation, MD_Hatching...) when CAD create them. Since i couldn't find any way to give them default values upon creation, my only option was to pre created on our templates all the layers generated by viewbase. The thing is that when someone purge a drawing prior to create the first viewbase, (which is 95% of the cases - designers make the design/3d model, purge, then the draftsman takes over the project to make the fab plans) the MD_ layers get deleted, and when they are generated again all the lineweights don't match our standards. From my perspective, I now have 2 options. 1- Beat the hell out of the designers whenever they purge the layers (which is not very nice..) 2- find a workaround (which I did, but I would need some help to achieve my goal since I'm not really acquainted with reactors) basically what I need is a reactor (in acaddoc.lsp i'd guess?) doing that: reactor@plot: verify if layers (MD_Annotation, MD_Hatching, MD_Hidden, MD_Visible) exist if not: resume plot if they do exist: check lineweight setting to ensure they match our standards (MD_visible = default, MD_hatching = .05mm, MD_hidden = .13mm, annotation=default) if true: plot if not: change values then plot If the MD_ layers do exist, i'm not sure if I should bother looking at their lineweight value to compare them with our standard, to change their value if they dont, or if I should directly set their lineweight value if the layers exist. Thanks in advance for your help Cheers, Jef!
  13. When I run LAYISO on the command line, It returns 'Select Objects on the layer to be isolated' It doesn't give an option of 'or [settings]. On my colleague's machine it does give the 'or [settings] option. Both machines plain ACAD 2009. What is the system variable that controls this behaviour? (I want to select Vpfreeze in paperspace viewport use.)
  14. darrellk-1

    No objects shown in new view ports

    I am running LT2014, and have already created functioning layout view ports with correctly displayed objects. However, when I draw a new view port now, it does not have anything displayed in it. I have checked to insure all layers are on, layers are not frozen in view port, the view port is checked to display objects, the drawing is not corrupted, and I have done Zoom>E. Nothing seems to help here, is there a switch that I have accidentally turned off or on? This seems to have started after I clipped an existing view port to fit page space better. Help!
  15. What does this button do? What does Frozen mean?
  16. AC 2014 - On the Home toolbar, Layers, top row of buttons, fifth from left. What is this supposed to do? I was expecting it to be the way in which I would access a particular layer exclusively, and be able to work on it without seeing the other layers. That's what I want to do, anyway, if it is possible. How can I do that?
  17. Hey guys its my first thread out here so i hope i will find help..Well i 've currently create several layers and after i change in one of 'em the linetype from continuous to a "Dashed" , every new layer i made had a "dashed" linetype and when i tried to change it back to default , it didnt.. Help!
  18. From what i am reading, it takes some work to access a layers linetype name (LineTypeTableRecord.name). Is there another way around this? Is there a way to access the linetype name from within the layer in question?
  19. Hi All, Need some help! My problem is this; I have several production sets (Sheet Sheets) of drawings in which the referenced drawing's layers are not carrying over. To clarify; In my base file file I went through and froze out and changed the color of several layers. When I reference that drawing into my sheet sets all of the layers are turned back on and set to the original colors. I should also note that the offending referenced drawing is also an xref. It is a large architectural drawing with several dozen nested xrefs refernced into a base file in which I have inserted blocks and symbols. I've tried different VISRETAIN settings and other options. Nothing seems to work. I've also went through various forums and tutorials to try and solve the problem before I posted here. I'm at my wits end! Any help would be greatly appreciated.
  20. I am using Autocad 11. I am working on some 12 year old drawings for a railroad museum. They are a mess. They look like they were done be an old pencil guy. Lots of views all over the drawing space rather than using layers to his advantage. I am watching all the tutorials that i can find. There are Blocks on wrong layers. I want to move a group of lines (part of the stuff on one layer) onto a new layer that i have created. Is it as simple as cut and paste? How do I prevent them moving during the process? I tried making their layer current, then selecting the items, then cutting the items. Then i made the new layer that I wanted them on Current, then pasted them. I has to very carefully line them back up, and they are still on the original layer. What am i Missing? Besides half my brain.
  21. I am trying to create a new document with new layers, but paste in an existing floor plan since it's the shell I need to be using. When I copy clip and insert into new file, all the layers import with it. I transferred everything onto 0 layers and went into my layer manager to try and delete the extra layers and it says i cannot delete o, xref dependent, etc. I want to create my own layers, and then assign the lines in the plan myself onto the new layers. Any suggestions would be great. Thanks!!
  22. I am trying to move specific block names to specific layers. I can get the block and change it, but it only works in the current tab. How do I select all instances of the block name, to change it to a specific layer? Here is a copy of what I have so far: ;;move block name to layer 0 (prompt "\nType BTL to move blocks to layer specific layers") (defun C:BTL () (setq Blks (ssget "_x" '((0 . "INSERT")(2 . "TB_8x11")))) (command ".chprop" "p" "" "la" "0" "") (princ) )
  23. Hi I am new to the forum, I have been trying to figure out whether or not Revit Architecture 2011 has layers like in AutoCAD. It's fairly easy to make your work visually pleasing in terms of the line weights in different views. I would really love to apply the same effects to my drawings in Revit. I was wondering if someone could enlighten me on how to go about making my Revit drawings more clear with more detailed lines or layers, etc. Thank you in advance!
  24. Hi, I wanted to drag a selection of objects (that are on different layers) and just cut n' paste them onto one layer (effectively merging them). Possible? Thanks
  25. Hello I am new to this forum but desperately need some help. I am using Layer States Manager in CAD2010 and have run into this problem. Perhaps I have a setting wrong but I need some help. I inserted an XREF into my drawing which is using LMAN. I put the XREF on a layer that is visible for the current layer state I am in. Saved the drawing then another coworker opened it and the xref was no longer visible. Even though the layer settings show as not frozen or locked the XREF won't show. If I move it onto a layer that is showing in the layer state manager it still doesn't show. I'm not sure if this is just a glitch or if I have some some setting set incorrectly. Any help is appreciated. Also are others have problems with LMAN not working after drawings are opened by someone else in the office? Are the LMAN settings not universal? Thanks
×
×
  • Create New...